package de.uni_stuttgart.fmi.szs.jmoped;

import java.util.ArrayList;
import java.util.List;

public class TwoLists {

	private List<String> first;
	private List<String> second;
	
	public TwoLists(String s) {
		
		first = new ArrayList<String>();
		first.add(s);
	}
	
	public TwoLists(List<String> a) {
		
		this(a, null);
	}
	
	public TwoLists(List<String> a, List<String> b) {
		
		first = a;
		second = b;
	}
	
	public void add(String s) {
		
		first.add(s);
	}
	
	public void add(List<String> ls) {
		
		first.addAll(ls);
	}
	
	public List<String> getFirst() {
		
		return first;
	}
	
	public List<String> getSecond() {
		
		return second;
	}
	
	public boolean isSecondNull() {
		
		return (second == null);
	}
}
