package de.uni_stuttgart.fmi.szs.jmoped.coverage;

public class PostTraceGenerator 
{
	static {
		System.loadLibrary("mopedcoverage");
	}

	public IntConfig getPostTraceConfig(CoverageResult result, Transition transition)
	{
		synchronized (Coverage.class) {
			return getPostTraceConfig(result, transition.getFrom(), transition.getName(),
					transition.getTo());
		}
	}
	
	private native IntConfig getPostTraceConfig(CoverageResult result, long from, long name,
			long to);
	
}
