package de.uni_stuttgart.fmi.szs.jmoped.coverage;

/**
 * 
 */
public interface ProgressMonitor 
{

	/**
	 * Must only be called once.
	 * @param description
	 * @param workAmount
	 */
	void beginTask(String description, int workAmount);
	
	void done();
	
	boolean isCanceled();
	
	void setCanceled(boolean cancel);
	
	void subTask(String description);
	
	void worked(int amount);
	
}
